
#ifndef __UNSIGNEDBASETENNUMBER_H_
#define __UNSIGNEDBASETENNUMBER_H_

class CUnsignedBaseTenNumber
{
public:
	CUnsignedBaseTenNumber(unsigned int number);
	virtual ~CUnsignedBaseTenNumber(void);

	unsigned int GetNumberOfDigits(void) const;

	// Returns zero if digitNumber not in the range [0,NumberOfDigits)
	unsigned int GetDigit(unsigned int digitNumber) const;

	const char *GetAsciiRepresentation(void) const;

protected:
	unsigned int m_number;
	unsigned int m_numDigits;
	char *m_asciiRepresentation;
};

#endif
